CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.com] Installation Problems

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By olesen

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   March 24, 2021, 12:25
Default Installation Problems
  #1
ECP
New Member
 
Juan
Join Date: Mar 2021
Posts: 3
Rep Power: 2
ECP is on a distinguished road
Hi everyone,



I'm trying to learn OpenFoam and i'm having some troubles trying to install the software. Here is what the terminal is giving me back after i run the command "sudo apt-get install openfoam7"


Here is the message:
"Err:1 https://jztkft.dl.sourceforge.net/pr...am/foam/ubuntu focal/main amd64 openfoam7 amd64 20200508
Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. Could not handshake: Error in the certificate verification. [IP: 45.67.159.245 443]
Err:2 https://altushost-swe.dl.sourceforge...am/foam/ubuntu focal/main amd64 paraviewopenfoam56 amd64 0-20200505
Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. Could not handshake: Error in the certificate verification. [IP: 79.142.76.130 443]
W: https://jztkft.dl.sourceforge.net/pr...508_amd64.deb: No system certificates available. Try installing ca-certificates.
W: https://altushost-swe.dl.sourceforge...505_amd64.deb: No system certificates available. Try installing ca-certificates.
E: Failed to fetch https://jztkft.dl.sourceforge.net/pr...0508_amd64.deb Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. Could not handshake: Error in the certificate verification. [IP: 45.67.159.245 443]
E: Failed to fetch https://altushost-swe.dl.sourceforge...0505_amd64.deb Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. Could not handshake: Error in the certificate verification. [IP: 79.142.76.130 443]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?"


I'm really interested in learning the software so I really appreciate if anyone could help me around this problem.
ECP is offline   Reply With Quote

Old   March 27, 2021, 10:53
Default
  #2
Senior Member
 
Mark Olesen
Join Date: Mar 2009
Location: https://olesenm.github.io/
Posts: 1,214
Rep Power: 30
olesen will become famous soon enougholesen will become famous soon enough
Could try following these instructions and see if you have better luck
https://develop.openfoam.com/Develop...ompiled/debian
olesen is offline   Reply With Quote

Old   March 27, 2021, 11:35
Default Not much luck
  #3
ECP
New Member
 
Juan
Join Date: Mar 2021
Posts: 3
Rep Power: 2
ECP is on a distinguished road
Thanks for the reply!


Unfortunately, I've been trying with that and many other basic and simple installation guides but nothing seem to be working, this is the last mistake i got when i try to run the "add-debian-repo.sh" script.


"(base) juan@juan-Satellite-P55-A:~/Downloads$ bash add-debian-repo.sh
Detected distribution code-name: focal
add-debian-repo.sh: line 115: /etc/apt/sources.list.d/openfoam.list: Permission denied
Overwrote /etc/apt/sources.list.d/openfoam.list
Importing openfoam gpg key... add-debian-repo.sh: line 131: /etc/apt/trusted.gpg.d/openfoam.gpg: Permission denied
Error"
ECP is offline   Reply With Quote

Old   March 28, 2021, 04:21
Default
  #4
Senior Member
 
Mark Olesen
Join Date: Mar 2009
Location: https://olesenm.github.io/
Posts: 1,214
Rep Power: 30
olesen will become famous soon enougholesen will become famous soon enough
Quote:
Originally Posted by ECP View Post
Thanks for the reply!


Unfortunately, I've been trying with that and many other basic and simple installation guides but nothing seem to be working, this is the last mistake i got when i try to run the "add-debian-repo.sh" script.


"(base) juan@juan-Satellite-P55-A:~/Downloads$ bash add-debian-repo.sh
Detected distribution code-name: focal
add-debian-repo.sh: line 115: /etc/apt/sources.list.d/openfoam.list: Permission denied
Overwrote /etc/apt/sources.list.d/openfoam.list
Importing openfoam gpg key... add-debian-repo.sh: line 131: /etc/apt/trusted.gpg.d/openfoam.gpg: Permission denied
Error"
It looks like you missed out the "sudo" part of the instructions. Even if you download it to a file location, you need root permissions to add the gpg keys and setup the repo locations. That's what the sudo is for.
olesen is offline   Reply With Quote

Old   March 28, 2021, 04:40
Default
  #5
ECP
New Member
 
Juan
Join Date: Mar 2021
Posts: 3
Rep Power: 2
ECP is on a distinguished road
Not quite, that was the latest error that i got after applying all the other commands, if i follow the normal installation procedure this is what i get.


(base) juan@juan-Satellite-P55-A:~$ wget -q -O - https://dl.openfoam.com/add-debian-repo.sh | sudo bash
(base) juan@juan-Satellite-P55-A:~$ sudo apt-get install openfoam2012-default
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package openfoam2012-default
(base) juan@juan-Satellite-P55-A:~$ sudo apt-get update
Hit:1 http://fr.archive.ubuntu.com/ubuntu focal InRelease
Hit:2 http://fr.archive.ubuntu.com/ubuntu focal-updates InRelease
Hit:3 http://fr.archive.ubuntu.com/ubuntu focal-backports InRelease
Hit:4 http://dl.openfoam.org/ubuntu focal InRelease
Hit:5 http://dl.google.com/linux/chrome/deb stable InRelease
Ign:6 https://dl.openfoam.com/repos/deb focal InRelease
Err:7 https://dl.openfoam.com/repos/deb focal Release
Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. Could not handshake: Error in the certificate verification. [IP: 82.71.205.33 443]
Get:8 http://security.ubuntu.com/ubuntu focal-security InRelease [109 kB]
Reading package lists... Done
W: https://dl.openfoam.com/repos/deb/di...cal/InRelease: No system certificates available. Try installing ca-certificates.
W: https://dl.openfoam.com/repos/deb/dists/focal/Release: No system certificates available. Try installing ca-certificates.
E: The repository 'https://dl.openfoam.com/repos/deb focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
(base) juan@juan-Satellite-P55-A:~$
ECP is offline   Reply With Quote

Old   March 30, 2021, 05:23
Default
  #6
Senior Member
 
Mark Olesen
Join Date: Mar 2009
Location: https://olesenm.github.io/
Posts: 1,214
Rep Power: 30
olesen will become famous soon enougholesen will become famous soon enough
I've tagged one of our guys, not sure if it is http vs https issue or what.
ECP likes this.
olesen is offline   Reply With Quote

Reply

Tags
openfoam

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.com] v1606+ Problems of installation on iMac Intercooled OpenFOAM Installation 4 November 15, 2016 20:22
[Other] Installation problems with OpenFOAM 2.3.x for Windows from cfdsupport.com Nkl OpenFOAM Installation 7 March 31, 2015 10:59
[PyFoam] having problems with pyfoam Installation vitorspadetoventurin OpenFOAM Community Contributions 3 December 2, 2014 07:18
Problems with installation batta31 OpenFOAM Installation 2 September 4, 2012 07:01
installation problems on upgrade from win 3.26 to mic Siemens 5 June 20, 2007 09:40


All times are GMT -4. The time now is 16:05.